cascading.flow.planner.graph

## Class ElementDirectedGraph

- java.lang.Object
- - cascading.flow.planner.graph.BaseElementGraph
  - - cascading.flow.planner.graph.BaseAnnotatedElementGraph
    - - cascading.flow.planner.graph.ElementDirectedGraph

All Implemented Interfaces:
  AnnotatedGraph, ElementGraph, java.io.Serializable

    public class ElementDirectedGraph
    extends BaseAnnotatedElementGraph
    implements AnnotatedGraph

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class cascading.flow.planner.graph.BaseAnnotatedElementGraph

`annotations`

### Fields inherited from class cascading.flow.planner.graph.BaseElementGraph

`graph, NULL`

### Constructor Summary

Constructors
Constructor and Description
`ElementDirectedGraph()`
`ElementDirectedGraph(ElementGraph parent)`
`ElementDirectedGraph(ElementGraph parent, EnumMultiMap annotations)`

### Method Summary

Methods
`ElementGraph` `copyElementGraph()`

### Methods inherited from class cascading.flow.planner.graph.BaseAnnotatedElementGraph

`addParentAnnotations, getAnnotations, hasAnnotations, hashCode`

### Methods inherited from class cascading.flow.planner.graph.BaseElementGraph

`addEdge, addEdge, addHeadVertex, addTailVertex, addVertex, allowMultipleExtentEdges, bindExtents, containsEdge, containsEdge, containsVertex, copyFrom, edgeSet, edgesOf, equals, getAllEdges, getEdge, getEdgeSource, getEdgeTarget, incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf, predecessorListOf, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, successorListOf, vertexSet, vertexSetCopy, writeDOT`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface cascading.flow.planner.graph.AnnotatedGraph

`getAnnotations, hasAnnotations`

### Constructor Detail

#### ElementDirectedGraph

    public ElementDirectedGraph()

#### ElementDirectedGraph

    public ElementDirectedGraph(ElementGraph parent)

#### ElementDirectedGraph

    public ElementDirectedGraph(ElementGraph parent,
                        EnumMultiMap annotations)

### Method Detail

#### copyElementGraph

    public ElementGraph copyElementGraph()

Specified by:
  `copyElementGraph` in interface `ElementGraph`